<?php
// init addon
$REX['ADDON']['name']['fractal'] = 'Fractal';
$REX['ADDON']['page']['fractal'] = 'fractal';
$REX['ADDON']['version']['fractal'] = '0.9.0';
$REX['ADDON']['author']['fractal'] = 'redaxo.org';
$REX['ADDON']['supportpage']['fractal'] = 'forum.redaxo.org';
$REX['ADDON']['perm']['fractal'] = 'fractal[]';

// permissions
$REX['PERM'][] = 'fractal[]';

// add lang file
if ($REX['REDAXO']) {
	$I18N->appendFile($REX['INCLUDE_PATH'] . '/addons/fractal/lang/');
}

// includes
require($REX['INCLUDE_PATH'] . '/addons/fractal/classes/class.rex_fractal_utils.inc.php');

spl_autoload_register(function ($class) {
    $prefix = 'League\\Fractal\\';
    $base_dir = __DIR__ . '/vendor/league/fractal/src/';
    $len = strlen($prefix);
    //print $base_dir;
    if (strncmp($prefix, $class, $len) !== 0) {
        // no, move to the next registered autoloader
        return;
    }
    $relative_class = substr($class, $len);
    $file = $base_dir . str_replace('\\', '/', $relative_class) . '.php';

    if (file_exists($file)) {
        require $file;
    }
});

//class_alias ('Illuminate\Database\Capsule\Manager' , 'DB');

if ($REX['REDAXO']) {
	// add subpages
	$REX['ADDON']['fractal']['SUBPAGES'] = array(
		array('', $I18N->msg('fractal_help'))
	);
}
?>
